<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
$objetocalculo=new calculos();
$sessao = new sessao();
$objetoGerminacao = new germinacao();
$objetoValidacao=new validacao();
$amostraLong=$sessao->getVar('amostraLong');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$master=$sessao->getVar('master');
$cliente=strtoupper($sessao->getVar('cliente' ) ?? "");
if(substr(strtoupper($cliente ?? ""),0,8)=='GERMINAX')$cliente="GERMINAX";//este casuismo é necessario pois a ricetec é RiceTec......
$anoAmostra=date("Y");
$finalidade=$sessao->getVar('finalidade');

if($amostraLong>0)
{
	//echo "nao nulo<br>";
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_id=".$amostraLong;
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
        $ultima=$resAmostra->fic_amostra;
    endwhile;		
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('idCultivar',$idCultivar);
	$sessao->setVar('idProdutor',$idProdutor);
	$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
}
else
{
     $amostraLong=$objetocalculo->achaUltima();
	 $idCultivar=$sessao->getVar($idCultivar);
	 $idProdutor=$sessao->getVar($idProdutor);
	 $idAmostrador=$sessao->getVar($idAmostrador);
}





switch ($tela):
    case 'editar':
	   $nomeTeste=get('teste');
	   //echo("L51teste=$nomeTeste<br>");

//captura o vetor de nomes de analistas
$user = new usuarios();
$user->extras_select = "WHERE  nivel='OPERADOR' && id_lab=".$idLabo;
$user->selecionaTudo($user);
$conta=0;
while ($res = $user->retornaDados()):
    $vetorAnalistas[$conta]=substr($res->nome,0,10);
	$conta++;
endwhile;                


if (post('bt_aAbrirPrimeiraLeitura') !== ""):
    echo("Box primeira leitura<br>");
    //echo '<iframe src="mudarNumeroAmostra.php" style="border:5px dotted red" width="100%" height="180"></iframe>';	 //funciona  
    print("<SCRIPT LANGUAGE='JavaScript'>
	window.open('abrirPrimeiraLeitura.php','','width=40 height=30 left=130 top=100');
	</script>");



endif;






//echo $vetorAnalistas[0] . sizeof($vetorAnalistas);

			//$sessao = new sessao();
			//QUANDO É TESTE ADICIONAL ELE SALVA(SE FOR PADRAO NAO SALVA))
			if($nomeTeste!='GERM')$sessao->setVar('testeAdicionalGerminacao',$nomeTeste);
			$finalidade=$sessao->getVar('finalidade');
			//echo("finalidade=$finalidade<br>");
			$amostraLong=$sessao->getVar('amostraLong');
			$nomeOperador=$sessao->getVar('nomeuser');
            $idLabo=$sessao->getVar('idLabo');
            //AQUI VAI GRAVAR A CLV CASO REALMENTE TENHA VALOR, OU SEJA SE A PESSOA COLOCOU
			// DADOS NA SEGUNDA LEITURA OU TERCEIRA...
		if(post('bt_reteste') !== ""):				   
			$userRean1 = new rean1();
		    $userRean1->extras_select =  " where  rea_teste='".$nomeTeste."' and  rea_ficha=".$amostraLong;
		    $userRean1->selecionaCampos($userRean1);
	        ?>
			<fieldset>
			<legend>Teste e reteste de <?php  echo $nomeTeste; ?> (Aquele que estiver com status=S vai para boletim) </legend>

            <table>
			<thead>
                <tr>
                    <th>Referencia</th><th bgcolor="#a9b8f1">Incluir</th><th bgcolor="red">Excluir</th><th bgcolor="#a6cbdb">Selec</th><th bgcolor="white">Data do teste</th><th bgcolor="silver">Status Ativado</th><th bgcolor="white">Germ</th><th bgcolor="silver">Controle</th>
                </tr>
            </thead>
			<?php
						
		    while ($resRean1 = $userRean1->retornaDados()):
		        ///$reanLong=$resRean1->rea_id;
		        echo "<tr>";
  		            printf('<td>%s</td>',substr($resRean1->rea_id,0,20));
					printf('<td align="center">[<a href="?m=germinacao&t=incluirReteste" title="Novo teste/reteste"><img src="images/add.png" alt="Incluir reteste" /></a>]</td>
					<td  align="center">[<a href="?m=germinacao&t=excluirReteste&id=%s" title="Excluir"><img src="images/delete.png" alt="Excluir" /></a>]</td>
					<td  align="center">[<a href="?m=germinacao&t=selecionarReteste&id=%s" title="Editar/Selecionar"><img src="images/edit.png" alt="Editar/Selecionar" /></a>]
					</td>',$resRean1->rea_id,$resRean1->rea_id,$resRean1->rea_id);
	                    printf('<td bgcolor="white">%s</td>',date("d/m/Y",strtotime($resRean1->rea_datageralteste)));
                    printf('<td bgcolor="silver" align="center">%s</td>','['.$resRean1->rea_boletim.']');
                    printf('<td bgcolor="white">%s</td>','['.$resRean1->rea_v1.'%]');
                    printf('<td bgcolor="silver">%s</td>','['.$resRean1->rea_teste.']');//aqui so mostra qualquer teste
	
		        echo "</tr>";
			endwhile;	   

			$userRean1 = new rean1();
		    $userRean1->extras_select =  " where  rea_teste='GE2'  and rea_boletim='S' and  rea_ficha=".$amostraLong;
		    $userRean1->selecionaCampos($userRean1);
		    while ($resRean1 = $userRean1->retornaDados()):
		        ///$reanLong=$resRean1->rea_id;
		        echo "<tr>";
  		            printf('<td>%s</td>',substr($resRean1->rea_id,0,20));
				    printf('<td align="center">[<a href="?m=germinacao&t=incluirReteste" title="Novo teste/reteste"><img src="images/add.png" alt="Incluir reteste" /></a>]</td>
					<td  align="center">[<a href="?m=germinacao&t=excluirReteste&id=%s" title="Excluir"><img src="images/delete.png" alt="Excluir" /></a>]</td>
					<td  align="center">[<a href="?m=germinacao&t=selecionarReteste&id=%s" title="Editar/Selecionar"><img src="images/edit.png" alt="Editar/Selecionar" /></a>]
					</td>',$resRean1->rea_id,$resRean1->rea_id,$resRean1->rea_id);
	                    printf('<td bgcolor="white">%s</td>',date("d/m/Y",strtotime($resRean1->rea_datageralteste)));
                    printf('<td bgcolor="silver" align="center">%s</td>','['.$resRean1->rea_boletim.']');
                    printf('<td bgcolor="white">%s</td>','['.$resRean1->rea_v1.'%]');
                    printf('<td bgcolor="silver">%s</td>','['.$resRean1->rea_teste.']');//aqui so mostra g2
		
		        echo "</tr>";
			endwhile;	   


            echo("</table>");			

	        echo("</fieldset>");


		endif;//final do isset bt_reteste	
			
			
			
			
			if(post('manual') !== ""):
	           echo '<iframe src="manual2010.php?opcaoManual=germinacao" style="border:0" width="100%" height="350"></iframe>';//funciona
 	        endif;	

			if(post('ajudaEspecial') !== ""):
	           echo '<iframe src="manual2010.php?opcaoManual=ajudaEspecial" style="border:0" width="100%" height="350"></iframe>';//funciona
 	        endif;	




			if($nomeTeste=='GERM') $legendaTeste='Germinação';
			if($nomeTeste=='GE2') $legendaTeste='Germinação[2]';
			if($nomeTeste=='EAC') $legendaTeste='Envelhecimento acelerado';
			if($nomeTeste=='FRI') $legendaTeste='Teste de frio';
			if($nomeTeste=='FR2') $legendaTeste='Teste de frio[2]';
			if($nomeTeste=='FR3') $legendaTeste='Teste de frio[3]';
			$objetocalculo = new calculos(); //calcula todos valores finais
			
			if(post('fechar') !== ""):
			  //echo("nomeTeste= $nomeTeste<br>");
			  if(post('cb_fechar') !== ""):
	    		   //GRAVA AS LEITURAS DiRETO NA REAN
				   $sql="update rean1 set rea_finalizada='s' where  rea_teste='".$nomeTeste."' and  rea_ficha=".$amostraLong;
  	 	           $generica=new tabelagenerica();
				   $generica->grava_registro_com_retorno($sql); 
		           printMSG('Esta amostra foi fechada e so podera ser reaberta se entrar com uma senha de administrador. Ok. Gravação normal.' ,'alerta');	
			   else:
			   		printMSG('Não houve fechamento, porque antes precisa  marcar SIM. ' ,'alerta');
			   endif;//confirma se clicou em sim		
			endif;//isset do botao fechar
			
			if(post('reabre') !== ""):
			  $master=$sessao->getVar('master');
			  //echo("nomeTeste= $nomeTeste master  $master<br>");
			  if($master=='s'):
	    		   //GRAVA AS LEITURAS DiRETO NA REAN
				   $sql="update rean1 set rea_finalizada='n' where  rea_teste='".$nomeTeste."'  and  rea_ficha=".$amostraLong;
  	 	           $generica=new tabelagenerica();
				   $generica->grava_registro_com_retorno($sql); 
		           //grava ocorrencia
				   $finalidadeVolatil="Reabrir ".$nomeTeste;
	               $valor='-O-';				   
				   $objetocalculo->registroDeOcorrencias($amostraLong,0,$nomeOperador,$finalidadeVolatil,$valor,$idLabo);
				   printMSG($nomeTeste.'Teste foi reaberto!. Gravou também uma ocorrência.' ,'alerta');	

			   else:
			   		printMSG('Para reabrir este teste, desta amostra, precisa entrar no programa com a senha do ADMINISTRADOR. ' ,'alerta');
			   endif;//confirma se clicou em sim		
			endif;//isset do botao fechar
			
			
			
			
			
			
			
            //echo("xxxxxxxxxxxxxxxxxxesta no germinacao  amostralong=$amostraLong  numeroLinhas=$numeroLinhas numeroRepeticoes=$numeroRepeticoes<br>");


            //echo("  extras_select $userAmostra->extras_select <br>");  

			//$sessao->setVar('amostraLong', $amostraLong);
			//$sessao->setVar('idCultivar',$idCultivar);
			//$sessao->setVar('idProdutor',$idProdutor);
			//$sessao->setVar('ultima',$ultima);


			$teste==$nomeTeste;
			//$numeroRepeticoes=8;
			//$repeticao="4x100";
			//$repeticao="8x50";
			$numeroLinhas=15;
			$vaiCalcular="NAO";
	//////////////////////////////////////////////////////////////////////
	        //echo("OOOOOOOOOOOOOOteste=$teste userAmostra->extras_select= $userAmostra->extras_select <br>");
		   if (post('acharDigitada') !== "" || post('acharAvanca') !== ""  || post('acharRecua') !== "" || post('acharUltima') !== ""):
			   	$registro=post('amostra');//se clica em achar digitada ja pega daqui
              	if(post('acharAvanca') !== "")$acao='avanca';
              	if(post('acharRecua') !== "")$acao='recua';
              	if(post('acharUltima') !== "")$acao='ultima';
	            $amostraLong=$objetocalculo->AchaIdAmostra2016($registro,$acao);
		   else:	
    	     $reanLong=post('reanLong'); //toda vez que nao for achar ele pega o reanlong do post
			 $finalizada=post('finalizada');				
		   endif;//fecha o 




		  
	///////////////////////fim do setor achar/////////////////////////////////
	   //vai salvar analista e data esquema barenbrug
	 
	

	     if(post('bt_calculargravar') !== ""):
	        //echo("calcular e gravar <br>");
		    //AQUI TINHA QUE ESTAR TODA PARTE DE CALCULO
            //PARA FAZER OS CALCULOS ELE TINHA QUE PEGAR OS DADOS VIA POST E CALCULAR  
		    $vaiCalcularGravar="SIM";
		    //echo("esta no isset calcular gravar reanLong=$reanLong finalizada=$finalizada<br>");
		    if($vaiCalcularGravar=="SIM"):
			    //echo ("aaaaaaaaaamostralong= $amostraLong <br>");
				$repeticao=post('formato');
				//caso 8x50
			if(substr($repeticao,0,3)=="8x5"):
				     $numeroRepeticoes=8;
				     $numeroRepeticoes2012=8;
				     $base=50;
				     $fator=0.5; 
					 $fatorEspecial=1;  
		    endif; 
			//caso 4x100
			if(substr($repeticao,0,3)=="4x1"):
				     $numeroRepeticoes=4;
				     $numeroRepeticoes2012=4;
				     $base=100;
				     $fator=1.0;
					 $fatorEspecial=1;   
		    endif;
		    //caso 4x50
			if(substr($repeticao,0,3)=="4x5"):
				     $numeroRepeticoes=4;
				     $numeroRepeticoes2012=4;
				     $base=50;
				     //$fator=1;
					 $fator=1; 
					 $fatorEspecial=2;  
		    endif;
			if(substr($repeticao,0,3)=="16x"):
				     $numeroRepeticoes=16;
				     $numeroRepeticoes2012=16;
				     $base=25;
					 $fator=1; 
					 $fatorEspecial=1;  
		    endif;


			   //echo("xxxxxxxxxxxxxxxxxxesta   amostralong=$amostraLong  repeticao= $repeticao  numeroLinhas=$numeroLinhas numeroRepeticoes=$numeroRepeticoes<br>");
			    //deleta as os registros de leituras vinculadas ao reanlong, para gravar novamente(preciso fazer isso pois pode ser que foi incluido um registro, ou editado)
	           
			    $user = new leituras();
	            $user->extras_select = " WHERE lei_rean=".$reanLong;
				$user->deletarRegistros($user);
				//echo("ssssssssssalvando na tab leituras  numeroLinhas= $numeroLinhas numeroRepeticoes=$numeroRepeticoes  rl=   $reanLong<br>");	
				//aqui vai salvar a primeira leitura , se algum item havia sido digitado
               $vetorBaren[1]=post('leit1');
               $vetorBaren[2]=post('leit2');
               $vetorBaren[3]=post('leit3');
               $vetorBaren[4]=post('leit4');
               $vetorBaren[5]=post('leit5');
               $vetorBaren[6]=post('leit6');
               $vetorBaren[7]=post('leit7');
               $vetorBaren[8]=post('leit8');
			   
               //aqui vai percorrer os campos, colocando na matriz v160 os valores lidos
			   //vai salvar na linha 1 ou seja valore L01C01,L01C02,L01C03  AS DIFERENCAS PARA A BASE
			   //CASO DE BARENBRUG VAI SALVAR A PRIMEIRA LEITURA ALI
               //VAI PREAPARA A MATRIZ LENDO COLUNA POR COLUNA			   
    		   for($j=1;$j<=$numeroRepeticoes;$j++):
                 $somaNaColuna=0;  
				 for($linha=2;$linha<=$numeroLinhas;$linha++):
					 $campo="c".$linha.$j;
					 $posicao=$linha.$j;
				     $lido=$_POST[$campo]; //AQUI LE O QUE FOI DIGITADO
					 if($lido<>""):
                        $v160[$posicao]=$lido;					    $colu=$j;
                        $somaNaColuna+=$lido;
                     endif;//examina se o lido é diferente de vazio
                 endfor;//aqui termina o for das clinhas
                 //coloca na linha 1 da tabela  os valores que vao ali...  
                 $posicaoLinha1=1;
				 $posicaoLinha1=$posicaoLinha1.$j;
                 $v160[$posicaoLinha1]=$base-$somaNaColuna;
				 //se for barenbrug ele deve pegar os valores digitados da primeir LEItura
				 if($cliente=="BAREN"):
	                 $v160[11]= $vetorBaren[1];
	                 $v160[12]= $vetorBaren[2];
	                 $v160[13]= $vetorBaren[3];
	                 $v160[14]= $vetorBaren[4];
                  endif;
              endfor;//AQUI TERMINA O FOR DAS COLUNAS 

               //aqui vai salvar os dados que agor ja estao TODOS na matriz v160
    		   for($j=1;$j<=$numeroRepeticoes;$j++):
				 for($linha=1;$linha<=$numeroLinhas;$linha++)://aqui pega desde a linha 1 para salvar a primeira linha
					 $posicao=$linha.$j;
					 if($v160[$posicao]<>""):
					    //monta linha,coluna e valor   ..  exemplo L01C01V78
                        $coluf="C".$j; //BOTa DEFUL SEM O ZERO  
						if($colu<10) $coluf="C0".$j; //SE FOR COLUNA MENOR QUE ZERO ELE COLOCA UM ZERO 
						
                        $linhaf="L".$linha; //BOTa DEFUL SEM O ZERO  
						if($linha<10) $linhaf="L0".$linha; //SE FOR COLUNA MENOR QUE ZERO ELE COLOCA UM ZERO 
						$gravado=$linhaf.$coluf."V".$v160[$posicao];
				    	$user = new leituras(array(
			                'lei_leitura'=>$gravado,
			                'lei_rean'=>$reanLong,
			            ));
		                $user->inserir($user);
                      endif;//examina se o lido é diferente de vazio
                 endfor;//aqui termina o for das clinhas
               endfor;//AQUI TERMINA O FOR DAS COLUNAS 
               //AQUI VAI SALVAR SE FOI INFORMADO A PRIMEIR LEITURA
               for($i=1;$i<=8;$i++):
                 if($vetorBaren[$i]!=""):
                    $gravado="L25"."C0".$i."V".$vetorBaren[$i];                     				 
			    	$user = new leituras(array(
		                'lei_leitura'=>$gravado,
		                'lei_rean'=>$reanLong,
		            ));
	                $user->inserir($user);
				 endif;
			   endfor;




			endif;//examina se esta fechada ou nao



			//vai gravar o analista selecionado no combo e a data digitada
	        if(post('transparencia') !== "")echo "Salvando Primeira leitura e analista<br>";
		    $concatenadoFinal=$objetoGerminacao->calcula($reanLong,$v160,$repeticao,$cliente);
		    //$concatenadoFinal=
            //echo("concatenado=$concatenadoFinal<br>");
			
				
		    list($vf1,$vf2,$vf3,$vf4,$vf5,$vf6,$vf7,$vf8)= explode("]", $concatenadoFinal);
	 
            //AQUI VAI GRAVAR NA REAN UMA UNICA VEZ////////////////////////////////////////////////////////////////////////////
	    	$tratamento=post('direita6');
		    $apoio6=post('apoio6');
		    if($apoio6!="")$tratamento=$apoio6;//so vai pegar do combo se tiver sido selecionado algo realmente
			$substrato=post('direita7');
			$apoio7=post('apoio7');
			if($apoio7!="")$substrato=$apoio7;//so vai pegar do combo se tiver sido selecionado algo realmente
            //acerta o combo8 do germinador
			$germinador=post('direita8');
			$apoio8=post('apoio8');
			if($apoio8!="")$germinador=$apoio8;//so vai pegar do combo se tiver sido selecionado algo realmente
            //acerta o combo9 da temperatura
			$temperatura=post('direita9');
			$apoio9=post('apoio9');
			if($apoio9!="")$temperatura=$apoio9;//so vai pegar do combo se tiver sido selecionado algo realmente
			$nomeOperador=$sessao->getVar('nomeuser');
		   $dt_entrada=post('direita5');
		   //echo("data entrada em portugues $dt_entrada <br>");
		   $retorno=$objetoValidacao->validaDataEntrada($dt_entrada);//esta data vai validar o ano e somente esta
		   if($retorno=='invalida'):
	           printMSG('Preencha corretamente a data do final do teste no formato dd/mm/aaaa, cOMO A DATA ESTAVA INCORRETA FOI GRAVADA A DATA DO DIA E VOCE PODE consertar ISSO. ','alerta');
	           $dt_entrada_americana=date("y-m-d");
		   else:
			   $dt_entrada_americana=$retorno;
		   endif;
		
				
				$user = new rean1(array(
				'REA_campo60a'=>$tratamento,
	            'rea_primeira_leitura_data'=> post('dataPrimeiraLeitura')  ,				
	            'rea_primeira_leitura_analista'=> post('analistaPrimeiraLeitura') ,				
	            'rea_segunda_leitura_data'=> post('dataSegundaLeitura')  ,				
	            'rea_segunda_leitura_analista'=> post('analistaSegundaLeitura') ,				
	            'rea_terceira_leitura_data'=> post('dataTerceiraLeitura')  ,				
	            'rea_terceira_leitura_analista'=> post('analistaTerceiraLeitura') ,				
                'rea_v1'=>$vf1,				
                'rea_v2'=>$vf5,				
                'rea_v3'=>$vf7,				
                'rea_v4'=>$vf8,				
                'rea_v5'=>$vf6,				
                'rea_v6'=>$vf4,				
                'rea_segunda_leitura'=>post('direita2'),			
                'rea_datainicio'=>post('direita3'),			
                'rea_duracao'=>post('direita4'),				
				'REA_campo60b'=>$substrato,
				'REA_campo20b'=>$germinador,
				'REA_campo20a'=>$temperatura,
				'REA_campo60c'=>post('direita10'),
				'REA_operador'=>$nomeOperador, 
				'REA_datageralteste'=>$dt_entrada_americana, 
				'REA_campo100'=>post('direita12'),
				'REA_validade'=>post('direita13'),
				'REA_finalizada'=>'S',
	            ));
			    $user->valorpk = $reanLong;
	            $user->extras_select = "WHERE   rea_id=$reanLong";
	            $user->selecionaTudo($user);
	            $res = $user->retornaDados();
	            $user->atualizar($user);
	            if ($user->linhasafetadas==1):
	                printMSG('Dados alterados com sucesso. ');
	                unset($_POST);
	            else:
					//printMSG('Ok.Nada foi alterado.(Na rean caso1) ','alerta');
	            endif;	
				///////////////////////////////////clv/////////////
				//aqui vai gravar automaticamente o clv que verifica se vf2>0
				if($vf2>0 && $nomeTeste=='GERM'):
					//so faz sentido se esta fazendo teste normal de germinacao,
					//pois senao iria gravar em frio eac etc o que nao faz sentido
					//////////////////
				   //echo("vau gravar clv <br>");
	               //deve verificar se tem o registro
				   $user = new rean1();
				   $user->extras_select = " WHERE  rea_teste='CLV' and  rea_ficha=".$amostraLong;
	               $user->selecionaTudo($user);
	               $registros=$user->linhasafetadas;
				   //echo("lllllllllllllllinhas afetadas= $registros<br>");
				   $nomeDete='CLV';
				   $resultadoFinal=$vf1-$vf2;//sao a sfortes
	               if($registros>0):
				       //se ja tem o teste entao so atualiza
					   //GRAVA AS LEITURAS DiRETO NA REAN dete CLV
					   $sql="update rean1 set rea_v1='$resultadoFinal' where  rea_teste='CLV' and  rea_ficha=".$amostraLong;
	  	 	           $generica=new tabelagenerica();
					   $generica->grava_registro_com_retorno($sql); 
		               //echo("ggggg sql=$sql<br>");
	               else:
				   	   //se nao tem o teste entao inclui
		               //cria registro novoGRAVA AS LEITURAS DiRETO NA REAN
					   
					   $sql="insert into rean1(rea_v1,rea_teste,rea_ficha) values('$resultadoFinal','$nomeDete','$amostraLong')";
	  	 	           $generica=new tabelagenerica();
					   $generica->grava_registro_com_retorno($sql); 
		               //echo("gggggxxxxxxxxxxxxxxxxx207 sql=$sql<br>");
				   endif;
			       printMSG("CLV=Classificação de Vigor. No teste de germinação foi gravado automaticamente CLV=".$resultadoFinal."  CLV=NORMAIS-FRACAS.(normais=fortes+fracas) As fortes ficam na 1ª leitura. Fracas nas demais. Ok. Gravação normal."   ,'alerta');
				endif;//testa se vf2>0  ou seja o clv
		 endif;//isset do botao calcular e gravar




                //$vetorMontado[1]=$amostra;
                //$vetorMontado[2]=$lote;
				//$vetorMontado[14]="soja";
                //aqui vai ler o que tem na rean1
 				$rean = new rean1();
				//$rean->extras_select =" where  rea_boletim='S' and rea_teste='".$nomeTeste."' AND rea_ficha=".$amostraLong ;
				$rean->extras_select =" where  rea_teste='".$nomeTeste."' and rea_boletim='S'    AND rea_ficha=".$amostraLong ;
                $rean->selecionaTudo($rean);
				//echo ("xxxxxxxxxxxxxxxxxxrean->extras_select   $rean->extras_select<br>");
				$contador=0;
				while ($resRean = $rean->retornaDados()):
				    $contador++;
					$reanLong=$resRean->rea_id;
					$finalizada=$resRean->rea_finalizada;
                    $vetorMontado[2]=$resRean->rea_segunda_leitura;
                    $vetorMontado[3]=$resRean->rea_datainicio;
                    $vetorMontado[4]=$resRean->rea_duracao;
					$dataFinal=$resRean->rea_datageralteste;
                    if(substr($dataFinal,0,4)<2000)$dataFinal=date("Y-m-d"); 					
                    $vetorMontado[5]=date("d/m/Y",strtotime($dataFinal));  //final do teste
					//echo("xxxxxxxxxxdata arquivada=$resRean->rea_datageralteste  dataFinal=$dataFinal<br>");
                    $vetorMontado[5]=date("d/m/Y",strtotime($resRean->rea_datageralteste));
                    $vetorMontado[6]=$resRean->rea_campo60a;//tratamento
					$vetorMontado[7]=$resRean->rea_campo60b;//substrato
					$vetorMontado[8]=$resRean->rea_campo20b;//germinador
					$vetorMontado[9]=$resRean->rea_campo20a;//temperatura
					$vetorMontado[10]=$resRean->rea_campo60c;//fungos
     				$vetorMontado[11]=$resRean->rea_operador;
					$vetorMontado[12]=$resRean->rea_campo100;
					$vetorMontado[13]=$resRean->rea_validade;
                    $vf1=$resRean->rea_v1;//normais 
					//$vf1=200;//normais 
                    $vf4=$resRean->rea_v6; //
                    $vf5=$resRean->rea_v2; //anormais
                    $vf6=$resRean->rea_v5; //mortas
                    $vf7=$resRean->rea_v3; //
                    $vf8=$resRean->rea_v4; //

					$primeiraLeituraData=$resRean->rea_primeira_leitura_data;
					$primeiraLeituraAnalista=$resRean->rea_primeira_leitura_analista;
					$segundaLeituraData=$resRean->rea_segunda_leitura_data;
					$segundaLeituraAnalista=$resRean->rea_segunda_leitura_analista;
					$terceiraLeituraData=$resRean->rea_terceira_leitura_data;
					$terceiraLeituraAnalista=$resRean->rea_terceira_leitura_analista;
				    $repeticao=$resRean->rea_lei4;
                   // echo("rrrrrrrrrrrrrrrepeticao= $repeticao<br>"); 
					//$vetorMontado[15]=$reanLong;
                    //printf('<td>%s</td>tttttxxxxxxxxxxxxxxx',$res->rea_lei1);
                endwhile;
				
     		    list($vf1,$vf2,$vf3,$vf4,$vf5,$vf6,$vf7,$vf8)= explode("]", $concatenadoFinal);

				
				
				//se contador foz zero sifnifica que nao achou registro entao cria um rapidao
				if($contador==0):
                    //define o formato sendo sempre o mesmo 4x100 no envelhecimento e outros tipos na germinacao 8x50  16x25 etc
				    if($nomeTeste=="EAC"):
                       $repeticao='4x50';
					   $datadia=date("Y-m-d");  
					   $vetorMontado[5]=date("d/m/Y",strtotime($datadia)); 
					elseif($nomeTeste=="E72"): 
                       $repeticao='4x50';
					   $datadia=date("Y-m-d");  
					   $vetorMontado[5]=date("d/m/Y",strtotime($datadia)); 
					elseif($nomeTeste=="E36"): 
                       $repeticao='4x50';
					   $datadia=date("Y-m-d");  
					   $vetorMontado[5]=date("d/m/Y",strtotime($datadia)); 
					elseif($nomeTeste=="E24"): 
                       $repeticao='4x50';
					   $datadia=date("Y-m-d");  
					   $vetorMontado[5]=date("d/m/Y",strtotime($datadia)); 
					elseif($nomeTeste=="ARE"): 
                       $repeticao='4x50';
					   $datadia=date("Y-m-d");  
					   $vetorMontado[5]=date("d/m/Y",strtotime($datadia)); 


					elseif($nomeTeste=="GE2"): 
                       if($cliente=='BAREN'):
					     $repeticao='4x100';
					   else:
					     $repeticao='8x50';
					   endif;
					   $datadia=date("Y-m-d");  
					   $vetorMontado[5]=date("d/m/Y",strtotime($datadia)); 
					


					elseif($nomeTeste=="FRI"): 
                       $repeticao='4x50';
					   $datadia=date("Y-m-d");  
					   $vetorMontado[5]=date("d/m/Y",strtotime($datadia)); 
					elseif($nomeTeste=="FR2"): 
                       $repeticao='4x50';
					   $datadia=date("Y-m-d");  
					   $vetorMontado[5]=date("d/m/Y",strtotime($datadia)); 
					elseif($nomeTeste=="FR3"): 
                       $repeticao='4x50';
					   $datadia=date("Y-m-d");  
					   $vetorMontado[5]=date("d/m/Y",strtotime($datadia)); 
					else:
					   	//VAI LER TODA VEZ O CONTEUDO DA TABELA  //isso aqui é pifio pois o registro 
						//na rean para germinacao ja foi feito na hora de registrar a amaostra
						//so stou deixando aqui para evitar duvidaa e tambem se tiver outro teste que usa isso aqui VGPL ETC..
					    $user = new tabeladeful();
						$user->extras_select =" where   cod_lab=".$idLabo ;
					    $user->selecionaTudo($user);
						while ($res = $user->retornaDados()):
					        $repeticao=$res->formato_germinacao;//4x100  8x50  4x50
					    endwhile;
					endif;
		            //criando o registro do teste que está sendo trabalhado
					//se estiver trabalhando com analise previa entao usa 4x50
					if($finalidade=='PREVIA')$formato='4x50';
	
					
		            $reanNova = new rean1(array(
		                'rea_ficha'=> $amostraLong,
		                'rea_teste'=> $nomeTeste,
		                'rea_lei4'=>  $repeticao,
		                'rea_datageralteste'=>  $datadia,
		            ));
		            $reanLong=$reanNova->inserir($reanNova);
					echo("Criou registro novo para salvar seus dados<br>");
		        endif;
				

	     //trazer alguns campos da amostra anterior
	     if(post('trazer') !== ""):
		    //ENTRA DE QUAKQUER MANEIRA
            //vai capturar a id da amostra anterior
            $registroAtual=post('amostra');
		   	$registroTrazer=$registroAtual-1;
	 	 	$generica=new tabelagenerica();
			$generica->tabela="ficha";
			$generica->campos_valores = array(
					"fic_id" => NULL,
				);
            $anoAmostra=date("Y");
			$sessao = new sessao();	
			$idLabo=$sessao->getVar('idLabo');	
			if($finalidade=='DEFINITIVA'):		
			    $generica->extras_select =" where   fic_ano='".$anoAmostra."' && fic_labo='".$idLabo."' &&  fic_amostra=".$registroTrazer;
			else:
			    $generica->extras_select =" where   fic_ano='".$anoAmostra."' && fic_labo='".$idLabo."' &&  fic_amostra_previa=".$registroTrazer;
			endif;	
		    $generica->selecionaCampos($generica);
			while ($resgenerica = $generica->retornaDados()):
				$amostraLongTrazer =$resgenerica->fic_id;
		    endwhile;
			//echo(" id amostra anteriro= $amostraLongTrazer<br>");
					 
		    //ENTRA DE QUAKQUER MANEIRA
	 	 	$generica=new tabelagenerica();
			$generica->tabela="rean1";
			
			
			$generica->campos_valores = array(
					"rea_campo60a" => NULL,
					"rea_campo60b" => NULL,
					"rea_campo20a" => NULL,
					"rea_campo20b" => NULL,
					"rea_datageralteste" => NULL,
					"rea_datainicio" => NULL,
					"rea_segunda_leitura" => NULL,
					"rea_duracao" => NULL,
				);
				
				
				
			$generica->extras_select ="  where  rea_teste='".$nomeTeste."' AND rea_ficha=".$amostraLongTrazer ;
		    $generica->selecionaCampos($generica);
			while ($resgenerica = $generica->retornaDados()):
				$vetorMontado[3]=$resgenerica->rea_datainicio;//inicio é campo string
				$vetorMontado[4]=$resgenerica->rea_duracao;//duracao é campo string

				$vetorMontado[5]=date("d/m/Y",strtotime($resgenerica->rea_datageralteste));//datageralteste
				$vetorMontado[6]=$resgenerica->rea_campo60a;//tratamento
				$vetorMontado[7]=$resgenerica->rea_campo60b;//substrato
				$vetorMontado[8]=$resgenerica->rea_campo20b;//germinador
				$vetorMontado[9]=$resgenerica->rea_campo20a;//temperatura
				$vetorMontado[11]=$resgenerica->rea_operador;//operador
		    endwhile;		 
		 
            printMSG('*R Qualquer comando indicado com *R traz da amostra anterior o Inicio do teste+Duração+Data do teste+Tratamento+Temperatura+Germinador+Substrato. Depois ajuste o que for preciso e salvar no final.'   ,'alerta');
         endif;	//fecha o isset do comando trazer
           

	



				
				

		         if(post('trocarformato') !== ""):
		      		 $repeticao=post('formato');
					 $user = new rean1(array(
		             'rea_lei4'=>$repeticao,				
		            ));
		            $user->valorpk = $reanLong;
		            $user->extras_select = "WHERE   rea_id=$reanLong";
		            $user->selecionaTudo($user);
		            $res = $user->retornaDados();
		            $user->atualizar($user);
		            if ($user->linhasafetadas==1):
		                printMSG('Formato alterado com sucesso. ');
		                unset($_POST);
		            else:
						printMSG('Ok.Nada foi alterado(Trocar Formato). ','alerta');
		            endif;			
				 endif;

				 

                 //echo("aaaaaaaaarrrrrrrrrrrrrrrepeticao= $repeticao  catifunda=$catifunda<br>"); 
               // echo("vvvvvvvvvvvvvvvvvvvvvf1= $vetorRean[8] $user->extras_select <br>");
                //caso 8x50 =400
				 if(substr($repeticao,0,3)=="8x5"):
                     //echo("bbbbbbbbbbrrrrrrrrrepeticao= $repeticao numeroRepeticoes=$numeroRepeticoes<br>"); 
				     $numeroRepeticoes=8;
				     $numeroRepeticoes2012=8;
				     $base=50;
				     $fator=1; 
					 $fatorEspecial=1;    
				 endif;
                 //caso 4x100
				 if(substr($repeticao,0,3)=="4x1"):
				     $numeroRepeticoes=4;
				     $numeroRepeticoes2012=4;
				     $base=100;
				     $fator=1.0; 
					 $fatorEspecial=1;    
				 endif;
                 //caso 4x50
				 if(substr($repeticao,0,3)=="4x5"):
				     $numeroRepeticoes=4;
				     $numeroRepeticoes2012=4;
				     $base=50;
				     $fator=0.5;   //estava 0.5 em 10.07.14
					 $fatorEspecial=2;  
                 endif;

                 //caso 16x25
				 if(substr($repeticao,0,3)=="16x"):
				     $numeroRepeticoes=16;
				     $numeroRepeticoes2012=16;
				     $base=25;
				     $fator=1;   //estava 0.5 em 10.07.14
					 $fatorEspecial=1;  
                 endif;

			 
			 
			//echo("rrrrrrrrrrrrrrrrepeticao=$repeticao  numerorepeticoes= $numeroRepeticoes numeroRepeticoes2012= $numeroRepeticoes2012<br>");
			 
			 
			 
			 //aqui os tamanhos do maxleng
			 $vetorMaxLeng[3]=10;
			 $vetorMaxLeng[4]=10;
			 $vetorMaxLeng[5]=10;
			 $vetorMaxLeng[6]=60;
			 $vetorMaxLeng[7]=60;
			 $vetorMaxLeng[8]=25;
			 $vetorMaxLeng[9]=20;
			 $vetorMaxLeng[10]=60;
			 $vetorMaxLeng[11]=20;
			 $vetorMaxLeng[12]=100;
			 $vetorMaxLeng[13]=10;


		//vai achar o vetor
		$rean=2;
 
		//aqui a bre a tabela leituras e le os registros montando o array v160///////////////////////



		$user = new leituras();
		$user->extras_select =" where  lei_rean=".$reanLong;
        $user->selecionaTudo($user);
        $contador=0;
        //ZERADOR DE $V160
        for($L=1;$L<=20;$L++): 
           for($C=1;$C<=16;$C++):
			$posicao=$C.$C;
			$v160[$posicao]="";
           endfor;
        endfor;

		while ($res = $user->retornaDados()):
		    $contador++;
			$gravado=$res->lei_leitura;
			//if ($contador<5)echo("valor lido=$gravado<br>");
			$linha=substr($gravado,1,2);
			$coluna=substr($gravado,4,2);
			$valorRecuperado=substr($gravado,7);
			//  $v160[23]="7";
			//  $v160[24]="3";bidi
			$i=1*$linha;
			$j=1*$coluna;
			$posicao=$i.$j;
			$v160[$posicao]=$valorRecuperado;
			$numerico=$valorRecuperado*1;
			if($numerico>0):
			   //echo("LENDO kkkkkkkkkkki=$i j=$j  posicao=$posicao  numerico=$numerico<br>" );
			endif;
        endwhile;
        //$leit1="12";
        $leit1=$v160[251];
        $leit2=$v160[252];
        $leit3=$v160[253];
        $leit4=$v160[254];
        $leit5=$v160[255];
        $leit6=$v160[256];
        $leit7=$v160[257];
        $leit8=$v160[258];


		
//$vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);
//////////////////
/////////aqui ja le o vetor de novo para mostrar atualizado na tela//////////////
			 	///$rean = new rean1();
				//echo("yyyyyyyyyyyyyynome do teste $nomeTeste<br>");
				
				//$nomeTeste='GERM';
				
				//$rean->extras_select =" where  rea_teste='".$nomeTeste."' and rea_boletim='S'  AND rea_ficha=".$amostraLong ;
				//echo("zzzzzzzzzzzzzzzzkkkkkkk1667kkkkk   $rean->extras_select <br>");
				
                //$rean->selecionaTudo($rean);
				//while ($resRean = $rean->retornaDados()):
					//$reanLong=$resRean->rea_id;
               // endwhile;


////////////////


$objetocalculoRaioX = new calculosFichaVirtual(); //declara o objeto
$vetorLeiturasGerminacaoBIDI=$objetocalculoRaioX->leiturasGerminacaoBIDI($reanLong);//echo("entrando gradebidi<br>"); 
$vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);
//SE FOR CLIENTE BAREN E FOR SEMENTE REVESTICA ELE DEVE COLOCAR -N- em duras e dormentes
if($cliente=="BAREN"):
  $valorBene=$vetorRaioX[118];
  if($valorBene=='6'):
     $vetorLeiturasGerminacaoBIDI[14][1]='-N-';
     $vetorLeiturasGerminacaoBIDI[14][2]='-N-';
     $vetorLeiturasGerminacaoBIDI[14][3]='-N-';
     $vetorLeiturasGerminacaoBIDI[14][4]='-N-';
     $vetorLeiturasGerminacaoBIDI[15][1]='-N-';
     $vetorLeiturasGerminacaoBIDI[15][2]='-N-';
     $vetorLeiturasGerminacaoBIDI[15][3]='-N-';
     $vetorLeiturasGerminacaoBIDI[15][4]='-N-';
  endif;
endif;



       //$vf2=22;$vf3=23;$vf4=24;$vf5=25;$vf6=26;$vf7=27;$vf8=28;




		$coluna=array("Repetições......","a","b","c","d","e","f","g","h");
		$numeroLinhas=15;
		/*$rotuloLinha[1]="Normais(1ªL)";
		$rotuloLinha[2]="(2ªLeitura)";
		$rotuloLinha[3]="(3ªLeitura)";
		$rotuloLinha[4]="(4ªLeitura)";
		$rotuloLinha[5]="Deformadas(1ªL)";
		$rotuloLinha[6]="(2ªLeitura)";
		$rotuloLinha[7]="(3ªLeitura)";
		$rotuloLinha[8]="(4ªLeitura)";
		$rotuloLinha[9]="Infec.(1ªL)";
		$rotuloLinha[10]="(2ªLeitura)";
		$rotuloLinha[11]="(3ªLeitura)";
		$rotuloLinha[12]="(4ªLeitura)";
		$rotuloLinha[13]="Mortas";
		$rotuloLinha[14]="Duras";
		$rotuloLinha[15]="Dorm.";
		$rotuloLinha[16]="Somas:";

		//echo("duras= $vf4 dorm=$vf5<br>");
*/
/*
		$mediaOto[1]="M=";
		$mediaOto[2]="F=";
		$mediaOto[3]="-";
		$mediaOto[4]="-";
		$mediaOto[5]="M=";
		$mediaOto[6]="-";
		$mediaOto[7]="-";
		$mediaOto[8]="-";
		$mediaOto[9]="M=";
		$mediaOto[10]="-";
		$mediaOto[11]="-";
		$mediaOto[12]="-";
		$mediaOto[13]="M=";
		$mediaOto[14]="M=";
		$mediaOto[15]="M=";

*/

		$direita[2]="Segunda Leitura";
		if($cliente=='BAREN')$direita[2]='ph=';
		
		$direita[3]="Inicio Teste";
		$direita[4]="Duração";
		$direita[5]="Final Teste";
		$direita[6]="Tratamento";
		$direita[7]="Substrato";
		$direita[8]="Germinador";
		$direita[9]="Temperatura";
		$direita[10]="Fungos";
		$direita[11]="Operador/analista";
		$direita[12]="Observações";
		$direita[13]="Validade";
		$direita[14]="Espécie";
		$direita[15]="Repetições";
		$valor=post('c22');
		//$numeroRepeticoes=4;

		//aqui vai abrir uma chave enorme que praticamente fara todo serviço e fecha bem la emvaixo
		//aqui ja fez a gravação ja fez a leitura e vai agora calcular
		   //aqui vai gravar

		 
		//aqui faz o controle todinho
		//$numeroRepeticoes=8;
		//se for 8x50 repeticoes a base  é 50 e o fator é 2
		//se for 4x100 repeticoes a base  é 100 e o fator é 1
		//se for 4x50 repeticoes a base  é 50 e o fator é 1


		   //aqui vai somar  e colocar na promeira linha
		   for($j=1;$j<=$numeroRepeticoes;$j++)
			{
		     $soma=0;	
			 $posicao="1".$j;
		  	for($i=2;$i<=$numeroLinhas;$i++)
				{
					 $campo="c".$i.$j;
					 //aqui evita um erro que acontece na linha 11 para 16 repeticoes pois fica 111 que pode ser linha 1 coluna 11 ou pode ser linha 11 coluna 1
					 if($i==11 && $numeroRepeticoes==16):
				         //$posicao=$i.'0'.$j;
					     //$campo="c".$posicao;
					     $campo="c";//desconsidera a linha 11 (ela é a terceira de infecionadas e na pratica nunca vai ser usada)
                     endif;
					 
					 //echo("campo= $campo<br>");
				     $lido=$_POST[$campo];
					 if($lido<>"")
					 {
		                 $soma+=$lido;
					 }
                     //if($j==1) echo("BASE=$base numeroRepeticoes=$numeroRepeticoes lido=$lido soma=$soma<br>");
				}
			  if($trocouAmostra=='SIM')$soma=0;	//QUANDO TROCA DEVE VIR A BASE E NAO DADOS ANTERIORES
		      $v160[$posicao]=$base-$soma;
			}


        //MOSTRA TUDO1
            //MOSTRA TUDO    mostrar atualizado na tela//////////////
			 	$rean = new rean1();
				$rean->extras_select =" where  rea_teste='".$nomeTeste."' and rea_boletim='S'  AND rea_ficha=".$amostraLong ;
				//echo("zzzzzzzzzzzzzzzzkkkkkkk1667kkkkk   $rean->extras_select <br>");
				
                $rean->selecionaTudo($rean);
				while ($resRean = $rean->retornaDados()):
					$reanLong=$resRean->rea_id;
					$finalizada=$resRean->rea_finalizada;
                    $vetorMontado[1]=$resRean->rea_REA_LEI1;
                    $vetorMontado[2]=$resRean->rea_segunda_leitura;
                    $vetorMontado[3]=$resRean->rea_datainicio;
                    $vetorMontado[4]=$resRean->rea_duracao;
					//$vetorMontado[4]=45;
                    $vetorMontado[5]=date("d/m/Y",strtotime($resRean->rea_datageralteste));
                    $vetorMontado[6]=$resRean->rea_campo60a;//tratamento
					$vetorMontado[7]=$resRean->rea_campo60b;//substrato
					$vetorMontado[8]=$resRean->rea_campo20b;//germinador
					$vetorMontado[9]=$resRean->rea_campo20a;//temperatura
					$vetorMontado[10]=$resRean->rea_campo60c;//fungos
					$vetorMontado[11]=$resRean->rea_operador;
					$vetorMontado[12]=$resRean->rea_campo100;
					$vetorMontado[13]=$resRean->rea_validade;
					$vetorMontado[14]="soja";
					$vetorMontado[15]=$reanLong;
					$repeticao=$resRean->rea_lei4;
                    //printf('<td>%s</td>tttttxxxxxxxxxxxxxxx',$res->rea_lei1);
                endwhile;

    	 $mediaOto[1]="Mn=".$vf1."%";//normais
		// echo("soma deu maior que 100<br>");
		 $mediaOto[1]="Mn=".$vf1."%";
		 $mediaOto[2]="M=".$vf2."%";
		 $mediaOto[3]="-";
		 $mediaOto[4]="-";
		 $deformadas=0;
		 if($vf5>0)$deformadas=$vf5-$vf4;
    	 $mediaOto[5]="M=".$deformadas."%";//anormais
		 $mediaOto[6]="-";
		 $mediaOto[7]="-";
		 $mediaOto[8]="-";
		 $mediaOto[9]="M=".$vf4."%";
		 $mediaOto[11]="-";
		 $mediaOto[12]="-";
		 $mediaOto[13]="M=".$vf6."%";
		 $mediaOto[14]="M=".$vf7."%";
		 $mediaOto[15]="M=".$vf8."%";


			 //VAI VERIFICAR OS PADROES
		    //$veredito=capturaVeredito($amostraLong,$germinacao,$puras);
			//echo("item 1 do veredito $veredito[0]item 2 do veredito $veredito[1]<br>");
		    $corg="";
			$mensagem1="";
			$mensagem2="";
			if($vf1>0 && $veredito[0]>0)
			{
		        if($vf1< $veredito[0])
		         {
				$corg="red";
		        	$mensagem1="Germinacao fora do padrao";
				$mensagem2="Padrao germinacao=" .$veredito[0];
		         }
			}

		//coloca valores atualzados
		$rotuloLinha[1]="Normais(1ªL)";
		$rotuloLinha[2]="(2ªLeitura)=";
		$rotuloLinha[3]="(3ªLeitura)";
		$rotuloLinha[4]="(4ªLeitura)";
		$rotuloLinha[5]="Deform.(1ªL)";
		$rotuloLinha[6]="(2ªLeitura)";
		$rotuloLinha[7]="(3ªLeitura)";
		$rotuloLinha[8]="(4ªLeitura)";
		$rotuloLinha[9]="Infec.(1ªL)";
		$rotuloLinha[10]="(2ªLeitura)";
		$rotuloLinha[11]="(3ªLeitura)";
		$rotuloLinha[12]="(4ªLeitura)";
		$rotuloLinha[13]="Mortas=";
		$rotuloLinha[14]="Duras=";
		$rotuloLinha[15]="Dorm.=";
		$rotuloLinha[16]="Somas:";
		//calcula o clv que sera fortes(vd1)-fracas(vd2)
		$valorCLV=0;
		//so faz sentido calcular clv se foi realmente lancado fracas
		if($vd2>0):
			$valorCLV1=$vd1-$vd2;
			$valorCLV=floor($valorCLV1/$divisor);
        endif;
		if($valorCLV==100)$valorCLV=0;//precisa disso pois antes de calcular, quando entra, o valor é 100, 
		

//aqui vai atribuir a data de validade 		
	    if(post('bt_validade') !== ""):
		   $dataBras=post('direita5');

		   $dataAmericana=$objetoValidacao->validaData($dataBras);
		   $validade=post('validade');
		   //$dataAmericana=date("Y-d-m",strtotime($dataBras));
           //$data = date("d/m/Y H:i:s",strtotime(date("Y-m-d", strtotime($data)) . " +1 month"));//exemplo do google
           $datax = date("m/Y",strtotime(date("Y-m-d", strtotime($dataAmericana)) . " + ".$validade." month"));
		   //echo("validade  dataBras=$dataBras dataAmericanavd=$dataAmericana  datafinal=$datax<br>");
		   $vetorMontado[13]=$datax;
		   ?>
		 <SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript">
         alert ("Orientaçao: Os meses de validade, variam conforme a espécie. Cadastre em  ESPECIES: HABILITAR e PADROES Tem um campo para isso.  O botão que voce clicou agora nao salva a validade, voce precisa clicar em salvar para salvar a validade(do teste) que foi calculada. Se for reteste, pode digitar o numero de meses antes de clicar no botão meses.")
         
         </SCRIPT>
		 <?php
		   
		   
		    printMSG('Clique em gravar!' ,'alerta');	
		endif;
		
			$senhaCli=$sessao->getVar('iduser');
			//$objetocalculo = new calculos(); //calcula todos valores finais
			//isso aqui faz ir para ultima amostra caso nao tenha sido selecionado outra antes
			
			
			
			//captura os dados da amostra
			$userAmostra = new amostras();
			$userAmostra->extras_select =  " where fic_id=".$amostraLong;  //fucnciona perfeito
			$userAmostra->selecionaCampos($userAmostra);
			while ($resAmostra = $userAmostra->retornaDados()):
			    $amostraLong=$resAmostra->fic_id;
			    $idCultivar=$resAmostra->fic_cultivar;
			    $idProdutor=$resAmostra->fic_produtor;
			    $ultima=$resAmostra->fic_amostra;
				if($finalidade=='DEFINITIVA'):
			       $amostra=$resAmostra->fic_amostra;
				else:
			       $amostra=$resAmostra->fic_amostra_previa;
				endif; 
				$lote=$resAmostra->fic_lote;
			endwhile;		
            //$vetorMontado[1]=$amostra.$legendaFinalidade."ddd";
           
			//captura a especie
            $user = new cultivarespecies();
			$user->extras_select =" where esp_id=ctv_especie and  ctv_id=".$idCultivar ;
            $user->selecionaTudo($user);
			while ($res = $user->retornaDados()):
                $validade=$res->esp_validade;			    
				$especie=$res->esp_nome;
            endwhile;
			$vetorMontado[14]=$especie;
			$legendaSuperior='Cálculo de '.$legendaTeste. ' Amostra:' . $amostra .'  Lote:'.$lote .' - Espécie:'. $especie. ' Referência: ' . $nomeTeste . ' ID='.$reanLong;
			//se for milho ou se for soja e nao estiver preenchido aindaentao vem um valor automatico(sugestao da germinax)
			$valor=$vetorMontado[4];
			$tama=strlen($valor);
			if($tama==0 || $valor==' '):
			    if(trim($especie)=='SOJA')$vetorMontado[4]=6;
			    if(trim($especie)=='MILHO')$vetorMontado[4]=5;
			endif;
            //$vetorMontado[9]=25;
            if($cliente=='GERMINAX'):
               $vetorMontado[7]='EP (ENTRE PAPEL)';
               $vetorMontado[9]=25;
            endif;

            //aqui vai encher o vetor da lista de apoio
			$idLabo=$sessao->getVar('idLabo');
			$genericaApoio=new tabelagenerica();
			$genericaApoio->tabela="escopo";
			$genericaApoio->campos_valores = array(
			    "esc_nome" => NULL,
			    "esc_nome_legal" => NULL,
			);
			$genericaApoio->extras_select =" order by esc_nome";
			$genericaApoio->selecionaCampos($genericaApoio);
			$registrosApoio=0;
			while ($resApoio = $genericaApoio->retornaDados()):
		        $registrosApoio++;
		        $texto=$resApoio->esc_nome;
				//echo("dentro1 do if texto=$texto idLabo=$idLabo<br>");
		        if(strlen($texto)>12):
					//echo("dentro2 do if texto=$texto  idLabo=$idLabo<br>");
                    if(substr($texto,12)==$idLabo):
	                    $matrizApoio[$registrosApoio][1]= substr($texto,0,12);  
	                    $matrizApoio[$registrosApoio][2]= $resApoio->esc_nome_legal;  
						//echo("dentro do if texto=$texto <br>");
					endif; 	
                endif;
            endwhile;
			                
	    if($finalizada=='s'):
		  $desabilita='disabled';
		
		endif;

		?>
             <form class="userform" method="POST" action="">					   


		<!--<h3><center> Tela de entrada de leituras de germinação</center></h3>-->
				<fieldset>
                <legend> <?php echo $legendaSuperior; ?> </legend>
		<table align="center">
		<tr>
		<td><?php echo $mensagemg?> </td>
		</tr>
		</table>
		              
		<!--aqui vai criar a tabela propriamente dita -->
		<table  bgcolor="#e8e8e8"  cellspacing=0 cellpadinng=0 border="0" align=center> 
		<tr>                                     
			<td>
		  <table>

		<tr>
		<?php
		for($i=0;$i<=$numeroRepeticoes2012;$i++)
		{
		     echo("<th>$coluna[$i] </th>");
		}
		?>  

		 </tr>
		<?php
for($coluna=1;$coluna<=$numeroRepeticoes;$coluna++):
   for($iLinha=1;$iLinha<=15;$iLinha++):
     $posicaotodas=$iLinha.$coluna;
     $posicaofinal=$linha.$coluna;
     $vetorLeiturasGerminacaoBIDI[16][$coluna]+=$vetorLeiturasGerminacaoBIDI[$iLinha][$coluna];
	 //if($coluna==1) echo("v160[]=$v160[$posicaotodas]  posicaotodas=$posicaotodas<br>");
   endfor;
   //$vetorLeiturasGerminacaoBIDI[16][$coluna]=$somaBaren;//somas
endfor;





		//imprime a parte da esquerda||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
		for($i=1;$i<=$numeroLinhas+1;$i++)
		{  
		     $bloqueador="";
			 
			if($i==1) $bloqueador="readonly";//esta linha estava 
			 
			 
			 
			 
			 
			 $nomeCampo="direita".$i;
		     if($i==1 || $i==5|| $i==9|| $i==13|| $i==14|| $i==15)
		     {
			     if($i==5|| $i==9|| $i==13|| $i==14|| $i==15):
				    ?><tr><td bgcolor="#a6cbdb"><?php
				 else:
				    ?><tr><td bgcolor="#a6cbdb"><?php
				 endif;
			     ?>
				 <b><?php echo($rotuloLinha[$i])?></b></td>
			     <?php
		     }
		     else
			 {
			     ?>
			     <tr><td>
				 
				 <?php echo($rotuloLinha[$i])?></td>
			     <?php
			 }
		     //parte central onde estao as colunas de  leiturassssssss//////////////////////////////////////////////////
			 //$numeroRepeticoes2012=16;
			 for($j=1;$j<=$numeroRepeticoes2012;$j++):
			     
			     $campo="c".$i.$j;
                 //if($i>10)$campo="c".$i.$j
			     $posicao=$i.$j;
                 //casuismo
				 //se é a primeira linha vai tem os campos 111,112,113,114,115,116
                 //para evitar o erro na linha 11 coloca um zero na coluna
                 if($i==11 && $j<10 && $numeroRepeticoes==16):
			         $posicao=$i.'0'.$j;
				     $campo="c".$posicao;
                 endif;
			     //echo("campo= $campo<br>");
			     //$conteudo=$v160[$posicao];
			     $conteudo=$v160BIDI[$i][$j].'*';
		         //$colunaVermelha=4;
			     //echo("ssssUUUUUUUUUUU posicao =$posicao  campo=$campo CONTEUDO= $conteudo<br>");
				 //<td bgcolor="<?php echo($cor1); x>" >
				 $cor1="silver";
				 if($j==$colunaVermelha || $j==$colunaVermelha1) $cor1="red";
				 ?>  
				 <td bgcolor="<?php echo($cor1); ?>" >
				 <!--se for 16 repeticoes ele diminui o tamanho do campo-->
			     <?php if($numeroRepeticoes2012==16):?>
				 <!--	 <input <?php echo $bloqueador?>  type="text"  style="font-size: 70%"  style="font-family:Arial" style="height: 12px"  name=<?php echo($campo)?> maxlength="3"  value="<?php echo($v160[$posicao])?>" size="1" />--> <!--antigo para 4 e 8-->
				 <input <?php echo $bloqueador?>  type="text"  style="font-size: 70%"  style="font-family:Arial" style="height: 12px"  name=<?php echo($campo)?> maxlength="3"  value="<?php echo($vetorLeiturasGerminacaoBIDI[$i][$j])?>" size="1" /> <!--antigo para 4 e 8-->

				 <?php else:?>
					<!-- <input <?php echo $bloqueador?>  type="text"  style="font-size: 100%"  style="font-family:Arial" style="height: 12px" width="5" name=<?php echo($campo)?> maxlength="3"  value="<?php echo($v160[$posicao])?>" size="1" />--><!--antigo para 4 e 8-->
					 <input <?php echo $bloqueador?>  type="text"  style="font-size: 100%"  style="font-family:Arial" style="height: 12px" width="5" name=<?php echo($campo)?> maxlength="3"  value="<?php echo($vetorLeiturasGerminacaoBIDI[$i][$j])?>" size="1" /><!--antigo para 4 e 8-->
                 <?php endif; //testa se é 16 repeticoes?>
				 
				 </td>
			     <?php


			 endfor;//fecha o fOr interno do numero de repeticoes
			 //vai criar embaixo uma linha de somas
	//vai criar embaixo uma linha de somas

			
	 	
		     //parte da direita onde vao as colunas da direita  \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\ 
		     ?>
		     <td>
			 <?php   echo($mediaOto[$i]);  ?>
			 </td>

		     <td bgcolor="#bdbdbb" align="right">

			 <?php
			 if($i>=3 && $i<=9):
				?><input type="submit"  class="MeuInput" name="trazer"  value="<?php echo($direita[$i]).'*R';?>"  /><?php
			 else:
			    if($i==1):
				   ?>
			       <input type="text" name="leit1" size="1" value="<?php echo $leit1;?>"/>
			       <input type="text" name="leit2" size="1" value="<?php echo $leit2;?>"/>
			       <input type="text" name="leit3" size="1" value="<?php echo $leit3;?>"/>
			       <input type="text" name="leit4" size="1" value="<?php echo $leit4;?>"/>
				   <?php
			    else:
  			       echo($direita[$i]);
				endif;   
			 endif;
             ?>
			 </td>

			 <?php

			 if($i==4)
			 {
		        ?><td><input type="text" name="<?php echo($nomeCampo)?>" maxlength="<?php echo($vetorMaxLeng[$i])?>" value="<?php echo($vetorMontado[$i])?>" size=10 /><?php
			 }
			 
			 
		     else
			 {

	
			 
			 
			 
			 
			 
			 
			 
			    if($i!=15 ):
				   echo "<td bgcolor='#d2fdf7'>";  
		           if($i==1):
                     ?>
	 				<!--campso da primeira laitura baren F,G,H,I  OU COLUNAS 5,6,7,8-->
					<input type="text" name="leit5" maxlength="3" value="<?php echo $leit5;?>" size="1" />
					<input type="text" name="leit6" maxlength="3" value="<?php echo $leit6;?>" size="1" />
					<input type="text" name="leit7" maxlength="3" value="<?php echo $leit7;?>" size="1" />
					<input type="text" name="leit8" maxlength="3" value="<?php echo $leit8;?>" size="1" />	
					<input type="submit" name="ajudaEspecial"  value="<--Ajuda especial" />	
					<td bgcolor="#a6cbdb"><a href="?m=tetrazolioEstiloBarenTZF&t=editarTZF" >TZ Forrageiras</a></td>

					<?php
				   else://se nao for linha 1 ele coloca varios inputs normais para digitar
				      ?>
					  <input type="text" name="<?php echo($nomeCampo)?>" maxlength="<?php echo($vetorMaxLeng[$i])?>" value="<?php echo($vetorMontado[$i])?>" size="20" />
                      <?php

				      if($i==3):
					    ?>
		     			<td bgcolor="#a6cbdb">-</td> 
						<?php
                      endif;				   
	
				      if($i==2):
					    ?>
		     			<td bgcolor="#a6cbdb"><input type="submit"  name="bt_calculargravar"   <?php echo $desabilita; ?>  value="Calcular&Gravar"  /></td> 
						<?php
                      endif;				   

				   endif; 	  
                   ?>


		              <!--aqui vai botar as listas de apoiio conforme cada um dos 4 casos-->
					  <?php
					   //salva o nome do priemiro analista e a data 
					   if($i==10):
                          ?>
						  Dt. 1ªLeit.<input type="text" name="dataPrimeiraLeitura" size="8" maxlength="10" value="<?php echo $primeiraLeituraData;?>"/> 
						  An.<select name="analistaPrimeiraLeitura"  >  
					   	  <option><?php echo $primeiraLeituraAnalista;?></option>
					     <?php
						 foreach($vetorAnalistas as $vlr)
					     {
						    echo "<option>".$vlr ."</option>";
					     }
					     ?>
					     </select>
						 <?php   
					   endif;

					   if($i==11):
                          ?>
						  Dt. 2ªLeit.<input type="text" name="dataSegundaLeitura" size="8" maxlength="10" value="<?php echo $segundaLeituraData;?>"/> 
						  An.<select name="analistaSegundaLeitura"  >  
					   	  <option><?php echo $segundaLeituraAnalista;?></option>
					     <?php
						 foreach($vetorAnalistas as $vlr)
					     {
						    echo "<option>".$vlr ."</option>";
					     }
					     ?>
					     </select>
						 <?php   
					   endif;

					   if($i==12):
                          ?>
						  Dt. 3ªLeit.<input type="text" name="dataTerceiraLeitura" size="8" maxlength="10" value="<?php echo $terceiraLeituraData;?>"/>
						   
						  An.<select name="analistaTerceiraLeitura"  >  
					   	  <option><?php echo $terceiraLeituraAnalista;?></option>
					     <?php
						 foreach($vetorAnalistas as $vlr)
					     {
						    echo "<option>".$vlr ."</option>";
					     }
					     ?>
					     </select>
						 <?php   
					   endif;


					  
					   if($i==6 || $i==7 || $i==8 || $i==9):
						   $casoApoio="apoio".$i;  //vai valer apoio6, apoio7 etc 
						   
                           //echo("matrizamoio(1)=$matrizApoio[1][1];  ")   
						   ?>  
				                <select name="<?php echo $casoApoio;?>" value=""><!--cada linha que vai colocando ele coloca a variavel com neme diferente-->
								    <option></option>
								    <?php 
									for($variavel=1;$variavel<=$registrosApoio;$variavel++):
									    $codigo=$matrizApoio[$variavel][1];
										//echo("codigo=$codigo<br>");
                                        $conteudo=""; 
										if(substr($codigo,0,2)=="TR" && $i==6)$conteudo=$matrizApoio[$variavel][2];
										if(substr($codigo,0,2)=="SU" && $i==7)$conteudo=$matrizApoio[$variavel][2];
										if(substr($codigo,0,2)=="GE" && $i==8)$conteudo=$matrizApoio[$variavel][2];
										if(substr($codigo,0,2)=="TE" && $i==9)$conteudo=$matrizApoio[$variavel][2];
	                                    if($conteudo!=""):
										?>  
										<option><?php echo $conteudo;?></option>
									   	<?php
										endif;
									endfor;
									?>	
								</select></td>
 						  <?php 
					  endif;//testa se o ié 6,7,8,9
					  if($i==13):
					     ?>
						 mais <input type="text" name="validade"  maxlength="2" size="1" value="<?php echo $validade;?>" /> 
					     <input type="submit" name="bt_validade"   value="meses" /> 
						 <?php
					  endif;
					  if($i==14):
					     ?>
					     <input type="submit" name="bt_reteste"   value="Retestes" /> 
						 <?php
					  endif;
					  
					  
			    else://da pergunta se for  diferente de 15
		              ?><td>
					    <select  name="formato">
                        <option><?php echo $repeticao;?></option>					  
                        <option>4x100</option>					  
                        <option>8x50</option>					  
                        <option>16x25</option>					  
                        <option>4x50</option>					  
                        </select>	
						<input type="submit"  name="trocarformato"  value="Ajustar/Fixar"  />
						<input type="checkbox"  name="transparencia"/>Transparência
						</td>

					  <?php
				endif; 		  
			 }
			 ?>
		     </td>
		     </tr>
		     <?php
		}//aqui fecha o for
		     ?> 
		     
		     
		     </tr>
			 </thead>
			 </table>


		     <table width="1200" border="1" cellspacing="1"  align="center">
		     <tr>
			 <td><?php echo($mensagem3x100)?></td>
			 <?php  
		  
			  ?>
			 
			 <input type="hidden" name="reanLong" value="<?php echo($reanLong)?>" size=6 /></td>
			 <input type="hidden" name="finalizada" value="<?php echo($finalizada)?>" size=1 /></td>
			 <input type="hidden" name="amostraLong" value="<?php echo($amostraLong)?>" />
			 <input type="hidden" name="valorCLV" value="<?php echo($valorCLV)?>" />
			 
			 
			 

            <td><label3>Amostra:</label3></td>
			<td> <b><input type="text" size="3"  maxlength="5" name="amostra" value="<?php echo $amostra; ?>" /></b>
		    <input type="submit" name="acharDigitada" value="<--AcharY9" />
			<td align="right">Navegador--></td>
			<td>
			<input type="submit" name="acharRecua" value="<" />
			<input type="submit" name="acharAvanca" value=">" />
			<input type="submit" name="acharUltima" value=">|" />
			</td>


			<td>--</td>
			
			
			<td bgcolor="silver">
			<?php
			if($finalizada=="s"):
			?>
				<input type="submit" name="reabre" value="Reabre" />
			<?php	
			else:
            ?>
				<input type="submit" name="fechar" value="Fechar" />Sim
				<input type="checkbox"   name="cb_fechar" />
			<?php	
			endif;
            ?>  			
			<td>SilasNET</td>
			<td>Uberlândia/MG</td>
			</td>
		     </tr>
		     </table>

			</form>



		     </td>
		     </tr>
		     </tbody>
		     </table>
		     </center>
			 </<fieldset>
			 
			 
       <?php 	
	
	
	
	
	
	
	
	
	break;







    case 'selecionarReteste':
	 $reanLongCapturada=get('id');
	 //$sessao = new sessao(); 
     //$sessao->setVar('reanCapturada',$reanLongCapturada);
	 //echo("reanLongCapturada= $reanLongCapturada<br>");	
	 //vai editar todos os  testes germ desta amostra para o status_boletim=N   
	 $sql="update rean1 set rea_boletim='N' where  (rea_teste='GERM' or rea_teste='GE2')  and rea_ficha=".$amostraLong;
     $userNota = new generica();
     $userNota->campos_valores = $sql;				 
	 $userNota->inserirEspecial($userNota);
	 
	 
     //ATRIBUI O VALOR S PARA O CAMPO REA_BOLETIM justamente para a amostra selecionada
	 //$sql="update rean1 set rea_boletim='S' where rea_id = ".$reanLongCapturada." and   rea_teste='GERM' and rea_ficha=".$amostraLong;
	 $sql="update rean1 set rea_boletim='S' where rea_id = ".$reanLongCapturada;
     $userNota = new generica();
     $userNota->campos_valores = $sql;				 
	 $userNota->inserirEspecial($userNota);
	 printMSG('Foi selecionado um reteste. Será este teste que vai ser acessado doravante.'   ,'alerta');
	   
	  
	  
	  ?>
	  <fieldset>
	  <table width="300" bgcolor="black">
      <tr>
	  <td bgcolor="#d6d6d6">Voltar para tela geral<?php echo $tipoDoc;?>  <a href="?m=germinacao&t=editar&novodoc=%s" title="Link NOVO" >  <img src="images/edit.png" </a></td>
	  </tr>
	  </table>
	  <?php
	break;

    case 'incluirReteste':
	 $reanLongCapturada=get('id');
	 //vai editar todos os  testes germ desta amostra para o status_boletim=N
	 $sql="update rean1 set rea_boletim='N' where  (rea_teste='GERM' or rea_teste='GE2')  and rea_ficha=".$amostraLong;
     $userNota = new generica();
     $userNota->campos_valores = $sql;				 
	 $userNota->inserirEspecial($userNota);
	 $dataHojeAmericana=date('Y-m-d');
	 
     //aqui vai capturar primeiro a rean atual para desmarcar ela da opcao ativada
     //depoi sde criar desmarca a atual e ja esta ativo pois o defaul é ativo       
	 $sql="insert into rean1(rea_ficha,rea_teste,rea_datageralteste)";
     $sql.="values('$amostraLong','GERM','$dataHojeAmericana')";
     echo("sssssxxxxxxxxxxxxxxxxxxxxxxxxxxxx109sql de gravacao=$sql   dataHojeAmericana=$dataHojeAmericana<br>");
     $userNota = new generica();
     $userNota->campos_valores = $sql;				 
	 $userNota->inserirEspecial($userNota);
	 $idNota=$userNota->linhasafetadas;
	 printMSG('Foi criado um reteste. Será este teste que vai ser acessado doravante.'   ,'alerta');
	  //echo("reanLongCapturada= $reanLongCapturada reanLongCRIADA= $idNota<br>");	
	  ?>
	  <fieldset>
	  <table width="300" bgcolor="black">
      <tr>
	  <td bgcolor="#d6d6d6">Voltar para tela geral<?php echo $tipoDoc;?>  <a href="?m=germinacao&t=editar&novodoc=%s" title="Link NOVO" >  <img src="images/edit.png" </a></td>
	  </tr>
	  </table>
	  <?php
	break;//INCLUIR RETESTE

    case 'excluirReteste':
	  $reanLongCapturada=get('id');
	  //nao pode excluir reteste que esta ativo e deve orientar para que mude a referencia
      //VAI VERIFICAR SE O TESTE QUE ESTA QUERENDO EXCLUIR TEM STATUS=S
	 $user = new rean1();
	 $user->extras_select = " WHERE   rea_boletim='S' and rea_teste ='GERM' AND rea_id=".$reanLongCapturada;
     $user->selecionaTudo($user);
     $registros=$user->linhasafetadas;
     if($registros>0):
	 	printMSG('O sistema impede a exclusão do teste/reteste de ' . $nomeTeste.' que esta ativo. Se for o caso, selecione outro reteste e depois exclua este que pretendias.'   ,'alerta');
	 
	 else:
	     //aqui a rotina de exclusao
	     //ATRIBUI O VALOR S PARA O CAMPO REA_BOLETIM justamente para a amostra selecionada
		 $sql=" delete from rean1 where rea_id = ".$reanLongCapturada;
	     $userNota = new generica();
	     $userNota->campos_valores = $sql;				 
		 $userNota->inserirEspecial($userNota);
	     printMSG('Exluiu o reteste.'    ,'alerta');
	 endif;
	  ?>
	  <fieldset>
	  <table width="300" bgcolor="black">
      <tr>
	  <td bgcolor="#d6d6d6">Voltar para tela geral<?php echo $tipoDoc;?>  <a href="?m=germinacao&t=editar&novodoc=%s" title="Link NOVO" >  <img src="images/edit.png" </a></td>
	  </tr>
	  </table>
	  <?php
	break;//EXCLUIR RETESTE

	default:
	   echo '<p>A tela solicitada não existe.</p>';
	break;
endswitch;


?>
